Library Version 11.2.5.3

DbEnv::get_lg_regionmax()
Prev | Chapter 8. The DbLsn Handle | Next

## DbEnv::get_lg_regionmax()

    #include <db_cxx.h>

    int
    DbEnv::get_lg_regionmax(u_int32_t *lg_regionmaxp);

The `DbEnv::get_lg_regionmax()` method returns the size of the underlying logging subsystem region. You can manage this value using the DbEnv::set_lg_regionmax() method.

The `DbEnv::get_lg_regionmax()` method may be called at any time during the life of the application.

The `DbEnv::get_lg_regionmax()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### lg_regionmaxp

The `DbEnv::get_lg_regionmax()` method returns the size of the underlying logging subsystem region in lg_regionmaxp.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods, DbEnv::set_lg_regionmax()

Prev | Up | Next
DbEnv::get_lg_max() | Home | DbEnv::log_archive()